package com.aucma.dms.service;

import com.aucma.dms.domain.DmsPlanInspect;

import java.util.List;

/**
 * 巡检计划信息Service接口
 *
 * @author Open Platform
 * @date 2024-01-17
 */
public interface IDmsPlanInspectService
{
    /**
     * 查询巡检计划信息
     *
     * @param planInspectId 巡检计划信息主键
     * @return 巡检计划信息
     */
    public DmsPlanInspect selectDmsPlanInspectByPlanInspectId(Long planInspectId);
    public DmsPlanInspect selectDmsPlanInspectByPlanInspectId1(String planInspectId);

    /**
     * 查询巡检计划信息列表
     *
     * @param dmsPlanInspect 巡检计划信息
     * @return 巡检计划信息集合
     */
    public List<DmsPlanInspect> selectDmsPlanInspectList(DmsPlanInspect dmsPlanInspect);

    /**
     * 新增巡检计划信息
     *
     * @param dmsPlanInspect 巡检计划信息
     * @return 结果
     */
    public int insertDmsPlanInspect(DmsPlanInspect dmsPlanInspect);

    /**
     * 修改巡检计划信息
     *
     * @param dmsPlanInspect 巡检计划信息
     * @return 结果
     */
    public int updateDmsPlanInspect(DmsPlanInspect dmsPlanInspect);

    /**
     * 批量删除巡检计划信息
     *
     * @param planInspectIds 需要删除的巡检计划信息主键集合
     * @return 结果
     */
    public int deleteDmsPlanInspectByPlanInspectIds(Long[] planInspectIds);

    /**
     * 删除巡检计划信息信息
     *
     * @param planInspectId 巡检计划信息主键
     * @return 结果
     */
    public int deleteDmsPlanInspectByPlanInspectId(Long planInspectId);

    DmsPlanInspect selectPlanInspectJoinJobByInspectId(Long planInspectId);
}
